package com.team5.aLife.Client;

public class TransactionReply extends AbstractReply{

	private boolean result;
	
	public TransactionReply(){
		//  Do nothing.  Needed for JSON
	}
	
	public TransactionReply(boolean result)
	{
		this.result = result;
	}
	
	@Override
	public int getReplyType() {
		return ADD_DEVICE_REPLY;
	}

	public boolean wasTransactionSuccessful(){
		return result;
	}
}
